## sysvinit 2.95

=== src/Makefile ===
#
# Makefile	Makefile for the systemV init suite.
#		Targets:   all      compiles everything
#		           install  installs the binaries (not the scripts)
#                          clean    cleans up object files
#			   clobber  really cleans up
#
# Version:	@(#)Makefile  2.85-13  23-Mar-2004  miquels@cistron.nl
#

CPPFLAGS =
CFLAGS  ?= -O2
override CFLAGS += -ansi -fomit-frame-pointer -fstack-protector-strong -W -Wall -Wunreachable-code -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -D_XOPEN_SOURCE -D_GNU_SOURCE -DVERSION=\"$(VERSION)\"
override CFLAGS += $(shell getconf LFS_CFLAGS)
STATIC	=
MANDB	:= s@^\('\\\\\"\)[^\*-]*-\*- coding: [^[:blank:]]\+ -\*-@\1@

#
# Leave empty if the mountpoint(1) command from util-linux 2.20
# and above should be used, otherwise set it to yes.
#
MNTPOINT=

# For some known distributions we do not build all programs, otherwise we do.
BIN	=
SBIN	= init halt shutdown runlevel killall5 fstab-decode logsave
USRBIN	= last mesg readbootlog

MAN1	= last.1 lastb.1 mesg.1 readbootlog.1
MAN5	= initscript.5 inittab.5 initctl.5
MAN8	= halt.8 init.8 killall5.8 pidof.8 poweroff.8 reboot.8 runlevel.8
MAN8	+= shutdown.8 telinit.8 fstab-decode.8 logsave.8

ifeq ($(DISTRO),)
SBIN	+= sulogin bootlogd
USRBIN	+= utmpdump wall
MAN1	+= utmpdump.1 wall.1
MAN8	+= sulogin.8 bootlogd.8
endif

ifeq ($(DISTRO),Debian)
CPPFLAGS+= -DACCTON_OFF
SBIN	+= sulogin bootlogd
MAN8	+= sulogin.8 bootlogd.8
MANDB	:=
endif

ifeq ($(DISTRO),Owl)
USRBIN	+= wall
MAN1	+= wall.1
MANDB	:=
endif

ifeq ($(DISTRO),SuSE)
CPPFLAGS+= -DUSE_SYSFS -DSANE_TIO -DSIGINT_ONLYONCE -DUSE_ONELINE
SBIN	+= sulogin
USRBIN	+= utmpdump
MAN1	+= utmpdump.1
MAN8	+= sulogin.8
MANDB	:=
endif

ifeq ($(MNTPOINT),yes)
BIN	+= mountpoint
MAN1	+= mountpoint.1
endif

ID		= $(shell id -u)
BIN_OWNER	= root
BIN_GROUP	= root
BIN_COMBO	= $(BIN_OWNER):$(BIN_GROUP)
ifeq ($(ID),0)
  INSTALL_EXEC	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 755
  INSTALL_DATA	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 644
else
  INSTALL_EXEC	= install -m 755
  INSTALL_DATA	= install -m 644
endif
INSTALL_DIR	= install -m 755 -d
MANDIR		= /usr/share/man

ifeq ($(WITH_SELINUX),yes)
  SELINUX_DEF	=  -DWITH_SELINUX
  INITLIBS	+= -lselinux
  SULOGINLIBS	= -lselinux	
else
  SELINUX_DEF	=
  INITLIBS	=
  SULOGINLIBS	=
endif

# Additional libs for GNU libc.
ifneq ($(wildcard /usr/lib*/libcrypt.*),)
  SULOGINLIBS	+= -lcrypt
endif

# Additional libs for GNU libc / multiarch on Debian based systems.
ifneq ($(wildcard /usr/lib/*/libcrypt.*),)
  SULOGINLIBS	+= -lcrypt
endif

all:		$(BIN) $(SBIN) $(USRBIN)

#%: %.o
#	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
#%.o: %.c
#	$(CC) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@

init:		LDLIBS += $(INITLIBS) $(STATIC)
init:		init.o init_utmp.o runlevellog.o

halt:		LDLIBS += $(STATIC)
halt:		halt.o ifdown.o hddown.o utmp.o runlevellog.o

last:		LDLIBS += $(STATIC)
last:		last.o

logsave:	LDLIBS += $(STATIC)
logsave:	logsave.o

mesg:		LDLIBS += $(STATIC)
mesg:		mesg.o

mountpoint:	LDLIBS += $(STATIC)
mountpoint:	mountpoint.o

utmpdump:	LDLIBS += $(STATIC)
utmpdump:	utmpdump.o

runlevel:	LDLIBS += $(STATIC)
runlevel:	runlevel.o runlevellog.o

sulogin:	LDLIBS += $(SULOGINLIBS) $(STATIC)
sulogin:	sulogin.o consoles.o

wall:		LDLIBS += $(STATIC)
wall:		dowall.o wall.o

shutdown:	LDLIBS += $(STATIC)
shutdown:	dowall.o shutdown.o utmp.o

bootlogd:	LDLIBS += -lutil $(STATIC)
bootlogd:	bootlogd.o

readbootlog:	LDLIBS += $(STATIC)
readbootlog:	readbootlog.o 

fstab-decode:	LDLIBS += $(STATIC)
fstab-decode:	fstab-decode.o

sulogin.o:	CPPFLAGS += $(SELINUX_DEF)
sulogin.o:	sulogin.c 

runlevellog.o:	runlevellog.h runlevellog.c paths.h

init.o:		CPPFLAGS += $(SELINUX_DEF)
init.o:		init.c init.h initreq.h paths.h reboot.h runlevellog.h runlevellog.c set.h 

utmp.o:		

init_utmp.o:	CPPFLAGS += -DINIT_MAIN
init_utmp.o:	utmp.c init.h initreq.h paths.h
		$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

bootlogd.o:	bootlogd.c bootlogd.h

readbootlog.o:	readbootlog.c
 
utmpdump.o:	utmpdump.c oldutmp.h

shutdown.o:	shutdown.c paths.h reboot.h initreq.h init.h

halt.o:		halt.c reboot.h paths.h runlevellog.c runlevellog.h

last.o:		last.c oldutmp.h

logsave.o:	logsave.c

consoles.o:	consoles.c consoles.h

cleanobjs:
		rm -f *.o *.bak

clean:		cleanobjs
		@echo Type \"make clobber\" to really clean up.

clobber:	cleanobjs
		rm -f $(BIN) $(SBIN) $(USRBIN)

distclean:	clobber

install:	all
		$(INSTALL_DIR) $(ROOT)/bin/ $(ROOT)/sbin/
		$(INSTALL_DIR) $(ROOT)/usr/bin/
		for i in $(BIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/bin/ ; \
		done
		for i in $(SBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/sbin/ ; \
		done
		for i in $(USRBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/usr/bin/ ; \
		done
		# $(INSTALL_DIR) $(ROOT)/etc/
		# $(INSTALL_EXEC) ../doc/initscript.sample $(ROOT)/etc/
		ln -sf halt $(ROOT)/sbin/reboot
		ln -sf halt $(ROOT)/sbin/poweroff
		ln -sf init $(ROOT)/sbin/telinit
		ln -sf /sbin/killall5 $(ROOT)/bin/pidof
		if [ ! -f $(ROOT)/usr/bin/lastb ]; then \
			ln -sf last $(ROOT)/usr/bin/lastb; \
		fi
		$(INSTALL_DIR) $(ROOT)/usr/include/
		$(INSTALL_DATA) initreq.h $(ROOT)/usr/include/
		$(INSTALL_DIR) $(ROOT)$(MANDIR)/man1/
		$(INSTALL_DIR) $(ROOT)$(MANDIR)/man5/
		$(INSTALL_DIR) $(ROOT)$(MANDIR)/man8/
		for man in $(MAN1); do \
			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man1/; \
			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man1/$$man ; \
		done
		for man in $(MAN5); do \
			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man5/; \
			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man5/$$man ; \
		done
		for man in $(MAN8); do \
			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man8/; \
			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man8/$$man ; \
		done
ifeq ($(ROOT),)
		#
		# This part is skipped on Debian systems, the
		# debian.preinst script takes care of it.
		@if [ ! -p /run/initctl ]; then \
		 echo "Creating /run/initctl"; \
		 rm -f /run/initctl; \
		 mknod -m 600 /run/initctl p; fi
endif

=== debian/changelog ===
sysvinit (2.95-5ubuntu2) eoan; urgency=medium

  * Adjust debian/rules to fix an arch: all build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Aug 2019 09:01:15 -0700

sysvinit (2.95-5ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Aug 2019 23:55:53 -0700

sysvinit (2.95-5) unstable; urgency=medium

  * [2d158bc6] Make default TTYMODE match default TTYPERM of `login' package
    (Closes: #367432)
  * [01d4a5b8] Remove overly aggressive optimization from /etc/init.d/rc
    (Closes: #669406)
  * [1fb96748] Ensure `mdadm' init script starts before `checkfs'
    (Closes: #627797)
  * [91a45784] Restructure init-d-script(5) manpage (Closes: #768362)
  * [3681b33c] Do not print version of `fsck' during boot (Closes: #386296)
  * [154eb9a6] Order directories in PATH consistently with /etc/profile
    (Closes: #553325)
  * [8e9cc754] Change inittab to pass --noclear to getty on tty1
    (Closes: #718416)
  * [beb2cfd3] Make init-d-script based scripts more robust (Closes: #822918)
  * [ce075375] Allow /etc/default/<script> re-define DAEMON variable
    (Closes: #768138)
  * [fce03ed5] Do not imply in README that init scripts must have extension
    (Closes: #934066)
  * [77d34f9f] Update /etc/init.d/README to current practices (Closes: #934065)
  * [af1fa053] Document INIT_VERBOSE variable in /etc/default/rcS
    (Closes: #730824)
  * [1cd69037] Make bin:initscripts architecture-independent (Closes: #922962)
  * [49f87295] Remove useless empty directory from bin:sysv-rc
  * [974ef1c1] Fix missing README link in /etc/rc0.d
  * [bc567621] Fix spelling error in init-d-script.5

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 12 Aug 2019 20:13:47 +0000

sysvinit (2.95-4) unstable; urgency=medium

  * [995df63a] Fix FTBFS on kfreebsd-any (Closes: #933638)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 02 Aug 2019 09:57:48 +0000

sysvinit (2.95-3) unstable; urgency=medium

  * [0c6b0ff0] Attempt to mount /sys/kernel/config after `kmod'
    (Closes: #840356)
  * [6fb68099] Fix bug in handling /etc/fstab.d.
    Thanks to Rolf W. Rasmussen <rolfwr@gmail.com> (Closes: #735930)
  * [7176b71d] Mount securityfs when it is available.
    Thanks to Ritesh Raj Sarraf <rrs@debian.org> (Closes: #440709)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 29 Jul 2019 08:10:44 +0000

sysvinit (2.95-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 24 Jul 2019 12:32:57 -0700

sysvinit (2.95-2) unstable; urgency=medium

  * [22e43c01] Make sure dh_fixperms is called during build.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #932300)
  * [a7ef4c4c] Fix wrong permissions of /var/run/utmp.
    Thanks to Thorsten Glaser <tg@mirbsd.de> (Closes: #932380)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 21 Jul 2019 19:43:53 +0000

sysvinit (2.95-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Contact, Name.
  * Update standards version, no changes needed.

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 16 Jul 2019 19:28:51 +0000

sysvinit (2.95~beta-1) experimental; urgency=medium

  * New upstream release (Closes: #374039).

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 22 May 2019 22:07:32 +0000

sysvinit (2.94-5) experimental; urgency=medium

  * Split long message into several lines to avoid terminal glitches.
    + Closes: #670585
    + Thanks: Antoni Villalonga <antoni@friki.cat>
  * Fix style in /etc/init.d/rc script (Closes: #928249)
  * Make lsb-base hard dependency of sysv-rc (Closes: #928250)
  * Error handle redirection used to truncate /var/run/wtmp
    + Closes: #928348
    + Thanks: Cristian Ionescu-Idbohrn <cii@axis.com>

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 11 May 2019 20:03:26 +0000

sysvinit (2.94-4) experimental; urgency=medium

  * Add Gitlab CI config file.
  * Remove obsolete `saveconfig' script. (Closes: #923451)
  * Correctly upgrade unmodified version of /etc/rc.local (Closes: #923485)
  * Fix wrong /tmp permissions when symlinking /tmp to /run/tmp.
    + Closes: #927113
    + Thanks: Serge Belyshev <belyshev@depni.sinp.msu.ru>

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 24 Apr 2019 01:04:22 +0000

sysvinit (2.94-3) experimental; urgency=medium

  * Correctly quote arguments to grep in umountfs script (Closes: #575204)
  * Add new parameter COMMAND_NAME to init-d-script (Closes: #834419)
  * Drop special cases for updates from ancient versions (Closes: #922421)
  * Remove check for .legacy-bootordering flag file (Closes: #926854)
  * Remove unused lintian overrides (Closes: #926855)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 14 Apr 2019 13:40:55 +0000

sysvinit (2.94-2) experimental; urgency=medium

  * Make init-d-scripts exit with sensible values (Closes: #427889)
  * Make /etc/init.d/reboot respect NETDOWN variable (Closes: #499796)
  * Improve description of VERBOSE in rcS(5) (Closes: #589050)
  * Document NETDOWN variable in /etc/default/halt (Closes: #703844)
  * Move README files from /etc (Closes: #921333)
  * Do not use unsafe `: >` shell command to create files (Closes: #923478)
    + Thanks: Pierre Ynard <linkfanel@yahoo.fr>
  * Make /etc/rc.local conffile (Closes: #923485)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 04 Apr 2019 22:30:28 +0000

sysvinit (2.94-1) experimental; urgency=medium

  * New upstream release (Closes: #923371, #671589)
  * Remove unused code from initscripts postinst (Closes: #923168)
  * Update Danish translation of the debconf templates (Closes: #923058)
    + Thanks: Joe Dalton <joedalton2@yahoo.dk>


=== debian/control ===
Source: sysvinit
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Benda Xu <heroxbd@gentoo.org>,
 Dmitry Bogatov <KAction@debian.org>,
 Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
Build-Depends:
 debhelper-compat (= 12),
 libselinux1-dev (>= 1.14) [linux-any],
 libsepol1-dev [linux-any],
 po-debconf,
 quilt (>= 0.40),
 pandoc
Standards-Version: 4.4.0
Homepage: https://savannah.nongnu.org/projects/sysvinit
Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
Vcs-Browser: https://salsa.debian.org/debian/sysvinit

Package: sysvinit-core
Architecture: any
Depends:
 debianutils (>= 4),
 initscripts (>= 2.88dsf-13.3),
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
 sysv-rc | file-rc | openrc,
 sysvinit-utils (>= 2.86.ds1-66),
 mount [linux-any],
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 systemd-sysv,
 upstart,
Replaces:
 systemd-sysv,
 sysvinit (<< 2.88dsf-44~),
 upstart,
Suggests:
 bootlogd,
Description: System-V-like init utilities
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Priority: required
Essential: yes
Architecture: any
Multi-Arch: foreign
Replaces:
 initscripts (<< 2.88dsf-59.5),
Depends:
 init-system-helpers (>= 1.25~),
 util-linux (>> 2.28-2~),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 systemd (<< 215),
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 killall5, pidof

Package: sysv-rc
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 init-system-helpers (>= 1.25~),
Depends:
 insserv (>> 1.12.0-10),
 lsb-base (>= 3.2-14),
 startpar,
 sysvinit-utils (>= 2.86.ds1-62),
 ${misc:Depends},
Breaks:
 systemd (<< 215),
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, changing runlevels, and shutting down,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: all
Multi-Arch: foreign
Depends:
 coreutils (>= 5.93),
 debianutils (>= 4),
 lsb-base (>= 3.2-14),
 sysv-rc | file-rc | openrc,
 sysvinit-utils (>= 2.88dsf-59.5),
 ${misc:Depends},
Recommends:
 e2fsprogs,
 psmisc,
Breaks:
 hurd (<< 0.5.git20131101~),
 ifupdown (<< 0.7.46),
 util-linux (<< 2.26.2-4~),
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 system at boot time and shut it down at halt or reboot time.

Package: bootlogd
Architecture: any
Depends:
 lsb-base (>= 3.2-14),
 ${misc:Depends},
 ${shlibs:Depends},
Description: daemon to log boot messages
 bootlogd logs all messages printed to the system console during system boot,
 and records those messages to a logfile.
 .
 Note that not all init systems print messages to the system console,
 so that the logfile may remain empty; this is the case with systemd
 (the default init system). Try "journalctl -b" instead.

=== debian/rules ===
#! /usr/bin/make -f

tmp     = $(CURDIR)/debian/tmp
sysvtmp = $(CURDIR)/debian/sysvinit-core
utiltmp = $(CURDIR)/debian/sysvinit-utils
rctmp   = $(CURDIR)/debian/sysv-rc
inittmp = $(CURDIR)/debian/initscripts
bootlogdtmp = $(CURDIR)/debian/bootlogd
doc	= /usr/share/doc

LC_ALL	= POSIX

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

INSTALL_DATA = install -o root -g root -m 644 -D
INSTALL      = install -o root -g root -m 755

# Handle cross builds
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
# CROSS is passed to make, CC is called directly.
CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

# Set arch specific build flags
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = WITH_SELINUX="yes"
endif

DH_OPTIONS =

ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	DH_OPTIONS = -Nsysvinit-core -Nsysv-rc -Ninitscripts -Nbootlogd
endif

# Use debhelper's dh
%:
	dh $@ $(DH_OPTIONS)

override_dh_auto_build:
	$(MAKE) $(CROSS) $(CONFFLAGS) DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	$(MAKE) -C debian/src/bootlogd install DESTDIR=$(bootlogdtmp)
	$(MAKE) -C src $(CROSS) ROOT=$(tmp) DISTRO=Debian install

override_dh_auto_install-indep:
	$(MAKE) -C debian/src/sysv-rc install DESTDIR=$(rctmp)
	$(MAKE) -C debian/src/initscripts install DESTDIR=$(inittmp)

override_dh_install-arch:
	dh_install

	# sysvinit package
	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
	then \
		$(INSTALL_DATA) \
			debian/share/inittab.$(DEB_HOST_GNU_TYPE) \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	elif test -e debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) ; \
	then \
		$(INSTALL_DATA) \
			debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	else \
		$(INSTALL_DATA) debian/share/inittab \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	fi

	# initscripts package may include /sys
ifneq (,$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
	$(INSTALL) -d $(inittmp)/sys
endif

install-arch: build-arch
	dh $@ $(DH_OPTIONS)

override_dh_installman:
	pandoc -s debian/init-d-script.md -o debian/init-d-script.5
	dh_installman

override_dh_installchangelogs-arch:
	dh_installchangelogs -psysvinit-core doc/Changelog

ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_installchangelogs -psysvinit-utils doc/Changelog
	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
		$(utiltmp)$(doc)/sysvinit-utils/changelog.Debian

	dh_installchangelogs -pbootlogd
	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
		$(bootlogdtmp)$(doc)/bootlogd/changelog.Debian
endif

override_dh_installchangelogs-indep:
	dh_installchangelogs
ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
		$(rctmp)$(doc)/sysv-rc/changelog.Debian
	dh_installchangelogs -pinitscripts
	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
		$(inittmp)$(doc)/initscripts/changelog.Debian
endif

override_dh_installdeb:
	dh_installdeb

ifeq ($(DEB_HOST_ARCH_OS), hurd)
	# The Hurd has its own halt and reboot commands.
	mv $(sysvtmp)/usr/share/man/man8/halt.8.gz $(sysvtmp)/usr/share/man/man8/halt-sysv.8.gz
	rm $(sysvtmp)/usr/share/man/man8/reboot.8.gz
	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/reboot-sysv.8.gz
	rm $(sysvtmp)/usr/share/man/man8/poweroff.8.gz
	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/poweroff-sysv.8.gz
	mv $(sysvtmp)/sbin/halt $(sysvtmp)/sbin/halt-sysv
	rm $(sysvtmp)/sbin/reboot
	ln -s halt-sysv $(sysvtmp)/sbin/reboot-sysv
	rm $(sysvtmp)/sbin/poweroff
	ln -s halt-sysv $(sysvtmp)/sbin/poweroff-sysv
endif

override_dh_clean:
	dh_clean
	$(MAKE) -C src clobber

.PHONY: override_dh_auto_build override_dh_auto_install-arch override_dh_auto_install-indep override_dh_installchangelogs-arch override_dh_installchangelogs-indep override_dh_installdeb-arch override_dh_installdeb-indep override_dh_clean install-arch

## sysvinit 2.96

=== src/Makefile ===
--- 
+++ 
@@ -181,8 +181,7 @@
 cleanobjs:
 		rm -f *.o *.bak
 
-clean:		cleanobjs
-		@echo Type \"make clobber\" to really clean up.
+clean:		cleanobjs clobber
 
 clobber:	cleanobjs
 		rm -f $(BIN) $(SBIN) $(USRBIN)

=== debian/changelog ===
sysvinit (2.96-7+deb11u1) bullseye; urgency=medium

  [ Tomas Pospisek ]
  * Clarify that when called with a `time` shutdown will not exit. That's
    important to know for programs or scripts that call `shutdown
    ... time` because they will never proceed after having called it
    (unless they fork exec or similar of course). Point in case:
    unattended-upgrades gets caught by this.

  [ mirabilos ]
  * convert to a DEP 3 patch instead

  [ Mark Hindley ]
  * Backport upstream patch to fix parsing of shutdown +0 (Closes:
    #1001795).

 -- Mark Hindley <leepen@debian.org>  Thu, 16 Dec 2021 18:12:09 +0000

sysvinit (2.96-7) unstable; urgency=medium

  [ Mark Hindley ]
  * Mount /proc with -o compatible on HURD only (Closes: #985584).
  * Build-Depend on libcrypt-dev explicitly (thanks to Helmut Grohne).
    (Closes: #972315)

  [ Adam Borowski ]
  * Handle libcrypt moved back to /lib, fixing FTBFS (Closes: #987135).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 18 Apr 2021 17:38:40 +0200

sysvinit (2.96-6) unstable; urgency=medium

  [ Matthew Vernon ]
  * Team upload
  * Recommend orphan-sysvinit-scripts (Closes: #981801)
  * Update Spanish translation (thanks to Javier Fernández-Sanguino)
    (Closes: #981479)

  [ Adam Borowski ]
  * Update Brazillian translations (thanks to Adriano Rafael Gomes)
    (Closes: #972837)

 -- Matthew Vernon <matthew@debian.org>  Sun, 21 Feb 2021 13:53:09 +0000

sysvinit (2.96-5) unstable; urgency=low

  * Team upload.
  * debian/src/initscripts/etc/init.d/mountdevsubfs.sh: if /dev/fd
    is a directory (such as on Hurd), skip symlinking “over” it

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 10 Sep 2020 17:37:30 +0200

sysvinit (2.96-4) unstable; urgency=critical

  [ Thorsten Glaser ]
  * Team upload.

  [ Adam Borowski ]
  * Update the list of tools in sysvinit-utils’ package description
  * Remove/unversion pre-stretch dependencies (taking care of implied
    dependencies on Essential) except for no-longer-in-archive sysvinit
  * Really drop changelog.gz from sysvinit-utils
  * Conflict/Replace runit-init (because of /sbin/init)
  * Drop the word “utilities” from bin:sysvinit-core’s short description
  * Don’t require root to build
  * Drop Dmitry from Uploaders :(

  [ Samuel Thibault ]
  * src/initscripts/etc/init.d/{checkroot,checkfs}.sh:
    Fix getting fsck return code

  [ Bjarni Ingi Gislason ]
  * Formatting fixes in fstab-decode(8)

  [ Vincent Lefevre ]
  * Fix a typo in a comment in if-up.d/mountnfs (Closes: #961513)

  [ Thorsten Glaser ]
  * Bring back support for /etc/init.d/.legacy-bootordering as
    flag file (manually created by the local admin) to disable
    concurrent (parallel) boot
  * Let mountdevsubfs.sh (run early after udev) fixup (if needed)
    /dev/fd and /dev/std{in,out,err} to work around udev bug #967546
    and upload as critical system fix (Closes: #968199)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 14 Aug 2020 02:29:31 +0200

sysvinit (2.96-3) unstable; urgency=medium

  * Update Dmitry's address.
  * Drop ancient Debian.NEWS.
  * Don't install upstream changelog on sysvinit-utils (Essential).
  * Update trim cut-off for changelog.Debian to pre-buster.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 19 Mar 2020 23:37:42 +0100

sysvinit (2.96-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change package rebuild to fix timestamp issue as raised by
    buildd. (Closes: #945820)

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2020 14:07:13 -0500

sysvinit (2.96-2) unstable; urgency=medium

  * Incorporate runlevel documentation from Debian Policy.
    Thanks to Sean Whitton <spwhitton@spwhitton.name> (Closes: #943583)
  * init-d-script: fix missing --oknodo in s-s-d invocation.
    Thanks to Jan Braun <janbraun@gmx.de> (Closes: #954464)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 28 Nov 2019 21:07:03 +0000

sysvinit (2.96-1) unstable; urgency=medium

  * New upstream release.
  * Stop providing empty /run directory in bin:initscripts
  * Stop providing unused /var/lib/insserv/ in bin:sysv-rc
  * Install bootlog init scripts with dh_install instead of custom Makefile
  * Add lintian override about dependency on $all in bootlogd init scripts
  * Remove unused lintian overrides
  * Remove sysv-rc postinst script, that used to support legacy boot ordering
  * Remove "debian/fscklog.sh" that was never installed
  * Bump standards version to 4.4.1

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 19 Oct 2019 00:37:48 +0000

sysvinit (2.96~beta-3) unstable; urgency=medium

  * Team upload.
  * checkfs, checkroot: Use setterm only if extant (Closes: #941378)
  * fstab-decode(8): Fix typo pointed out by lintian
  * sysv-rc.postinst: Rename servive variable (lintian false-positive)
  * d/rules: Introduce bindnow hardening, prompted by lintian
  * Fix BD-Uninstallable on ten Debian architectures by replacing the
    pandoc invocation with a properly written manpage
  * init: Fix a lintian false-positive on spelling caused by GCC

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 02 Oct 2019 02:18:53 +0200

sysvinit (2.96~beta-2) unstable; urgency=medium

  * Disable kernel messages during fsck to avoid interleaved output
    (Closes: #398269)
  * Make bootlogd stop late enough (Closes: #935302, #920117, 808999)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 23 Sep 2019 16:12:23 +0000

sysvinit (2.96~beta-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Disable escape sequence filtering by bootlogd (Closes: #672361)
  * Fix missing argument in `domount' call for securityfs (Closes: #935533)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 24 Aug 2019 14:46:25 +0000

sysvinit (2.95-6) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * sysv-rc: assume `startpar' is installed into PATH
  * Document that `CONCURRENCY' variable is no longer used (Closes: #692559)
  * Use v* version of lsb functions in `init-d-script'
  * Remove unused lintian overrides


=== debian/control ===
Source: sysvinit
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Benda Xu <heroxbd@gentoo.org>,
 Adam Borowski <kilobyte@angband.pl>,
 Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
Build-Depends:
 debhelper-compat (= 12),
 libcrypt-dev,
 libselinux1-dev [linux-any],
 po-debconf,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://savannah.nongnu.org/projects/sysvinit
Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
Vcs-Browser: https://salsa.debian.org/debian/sysvinit

Package: sysvinit-core
Architecture: any
Depends:
 initscripts,
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
 sysv-rc | file-rc | openrc,
 sysvinit-utils (>= 2.86.ds1-66),
 mount [linux-any],
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 systemd-sysv,
 runit-init,
Replaces:
 systemd-sysv,
 sysvinit (<< 2.88dsf-44~),
 runit-init,
Suggests:
 bootlogd,
Recommends:
 orphan-sysvinit-scripts,
Description: System-V-like init
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Priority: required
Essential: yes
Architecture: any
Multi-Arch: foreign
Depends:
 lsb-base (>= 11.0.0~),
 ${misc:Depends},
 ${shlibs:Depends},
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 init-d-script, fstab-decode, killall5, pidof

Package: sysv-rc
Architecture: all
Multi-Arch: foreign
Depends:
 insserv,
 lsb-base,
 startpar (>= 0.62-1~),
 sysvinit-utils (>= 2.86.ds1-62),
 ${misc:Depends},
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, changing runlevels, and shutting down,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: all
Multi-Arch: foreign
Depends:
 lsb-base,
 sysv-rc | file-rc | openrc,
 ${misc:Depends},
Recommends:
 e2fsprogs,
 psmisc,
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 system at boot time and shut it down at halt or reboot time.

Package: bootlogd
Architecture: any
Depends:
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Description: daemon to log boot messages
 bootlogd logs all messages printed to the system console during system boot,
 and records those messages to a logfile.
 .
 Note that not all init systems print messages to the system console,
 so that the logfile may remain empty; this is the case with systemd
 (the default init system). Try "journalctl -b" instead.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #! /usr/bin/make -f
+DEB_BUILD_MAINT_OPTIONS+=hardening=+all
+include /usr/share/dpkg/default.mk
+include debian/config/selinux.mk
 
 tmp     = $(CURDIR)/debian/tmp
 sysvtmp = $(CURDIR)/debian/sysvinit-core
@@ -10,14 +13,8 @@
 
 LC_ALL	= POSIX
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-INSTALL_DATA = install -o root -g root -m 644 -D
-INSTALL      = install -o root -g root -m 755
+INSTALL_DATA = install -m 644
+INSTALL      = install -m 755
 
 # Handle cross builds
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -26,16 +23,7 @@
 CC=$(DEB_HOST_GNU_TYPE)-gcc
 endif
 
-# Set arch specific build flags
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONFFLAGS = WITH_SELINUX="yes"
-endif
-
 DH_OPTIONS =
-
-ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
-	DH_OPTIONS = -Nsysvinit-core -Nsysv-rc -Ninitscripts -Nbootlogd
-endif
 
 # Use debhelper's dh
 %:
@@ -45,11 +33,9 @@
 	$(MAKE) $(CROSS) $(CONFFLAGS) DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install-arch:
-	$(MAKE) -C debian/src/bootlogd install DESTDIR=$(bootlogdtmp)
 	$(MAKE) -C src $(CROSS) ROOT=$(tmp) DISTRO=Debian install
 
 override_dh_auto_install-indep:
-	$(MAKE) -C debian/src/sysv-rc install DESTDIR=$(rctmp)
 	$(MAKE) -C debian/src/initscripts install DESTDIR=$(inittmp)
 
 override_dh_install-arch:
@@ -79,32 +65,26 @@
 install-arch: build-arch
 	dh $@ $(DH_OPTIONS)
 
-override_dh_installman:
-	pandoc -s debian/init-d-script.md -o debian/init-d-script.5
-	dh_installman
-
 override_dh_installchangelogs-arch:
 	dh_installchangelogs -psysvinit-core doc/Changelog
 
-ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
-	dh_installchangelogs -psysvinit-utils doc/Changelog
-	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
+	dh_installchangelogs -psysvinit-utils
+	rm -f $(utiltmp)$(doc)/sysvinit-utils/changelog
+	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(utiltmp)$(doc)/sysvinit-utils/changelog.Debian
 
 	dh_installchangelogs -pbootlogd
-	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
+	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(bootlogdtmp)$(doc)/bootlogd/changelog.Debian
-endif
 
 override_dh_installchangelogs-indep:
 	dh_installchangelogs
-ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
-	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
+	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(rctmp)$(doc)/sysv-rc/changelog.Debian
+
 	dh_installchangelogs -pinitscripts
-	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
+	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(inittmp)$(doc)/initscripts/changelog.Debian
-endif
 
 override_dh_installdeb:
 	dh_installdeb

## sysvinit 3.00

=== debian/changelog ===
sysvinit (3.00-1+devuan1) unstable; urgency=medium

  * Merge Debian 3.00.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 19 Oct 2021 15:01:13 +0100

sysvinit (3.00-1) unstable; urgency=medium

  * New upstream version 3.00
  * d/changelog: fix typo in previous version.

 -- Mark Hindley <leepen@debian.org>  Thu, 23 Sep 2021 11:26:57 +0100

sysvinit (3.00~beta-1) experimental; urgency=medium

  [ Mark Hindley ]
  * Add myself to uploaders.
  * New upstream version 3.00~beta.
  * d/patches: remove patch applied upstream.
  * d/patches: refresh patches.
  * initscripts: remove -t option from telinit invocation (Closes:
    #990019).
  * bootmisc.sh: set SE Linux context after utmp file creation. Thanks to
    Russell Coker. (Closes: #950459)
  * Remove obsolete lintian overrides.
  * Update to Standards Version 4.6.0 (no changes).

  [ Ian Jackson ]
  * mountkernfs.sh: mount /sys/firmware/efi/efivars if possible (Closes:
    #783990).

  [ Dr. Tobias Quathamer ]
  * Rename manpage tmpfs.5 to tmpfs-config.5 (Closes: #848121, #951596).

  [ Trek ]
  * init-d-script: fix PIDFILE argument to status_of_proc (Closes: #962649).
  * init-d-script: allow disabling --exec or --name options.
  * init-d-script: fix do_status when DAEMON=none.
  * init-d-script: policy compliant exit values (Closes: #968038).
  * init-d-script: fix force-reload if do_reload is an alias.
  * init-d-script: added do_reload_cmd interface.
  * init-d-script: added RELOAD_SIGNAL interface.
    Thanks to Robbie Harwood <rharwood@club.cc.cmu.edu> (Closes: #807311).
  * init-d-script: send SIGCONT after SIGTERM.
    Thanks to Jan Braun <janbraun@gmx.de>.
  * init-d-script: fix try-restart output and more verbosity.
  * init-d-script: /bin/sh as interpreter and small optimizations.

 -- Mark Hindley <leepen@debian.org>  Wed, 15 Sep 2021 11:19:13 +0100

sysvinit (2.96-7+devuan1) unstable; urgency=medium

  * Merge debian 2.96-7.

 -- Mark Hindley <mark@hindley.org.uk>>  Sat, 24 Apr 2021 10:41:23 +0100

sysvinit (2.96-6+devuan1) unstable; urgency=medium

  * Merge debian 2.96-6.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 03 Mar 2021 11:41:28 +0000

sysvinit (2.96-5+devuan1) unstable; urgency=medium

  * Merge Debian 2.96-5.
  * Fix typo in last Devuan version number.
  * d/gbp.conf: add Devuan debian-tag default.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 15 Sep 2020 09:49:45 +0100

sysvinit (2.96-4+devuan1) unstable; urgency=medium

  * Merge debian/2.96-4 (normal urgency as change causing #968199 not
    present in eudev).
  * d/control: update Vcs-* following Gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 16 Aug 2020 12:18:02 +0100

sysvinit (2.96-3+devuan1) unstable; urgency=medium

  * Merge new Debian version 2.96-3.
  * Change maintenance to Devuan Developers list and add myself as an
    uploader.
  * d/control: update Vcs-* fields.
  * d/control: add Origin: Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 03 Apr 2020 15:45:07 +0100

sysvinit (2.93-8+devuan1) unstable; urgency=medium

  * merge 2.93-8 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 26 Feb 2019 16:59:47 +0000

sysvinit (2.93-7+devuan1) unstable; urgency=medium

  * merge 2.93-7 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 04 Feb 2019 09:53:28 +0000

sysvinit (2.93-5+devuan1) unstable; urgency=medium

  * merge 2.93-5 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 25 Jan 2019 09:20:31 +0000

sysvinit (2.93-3+devuan1) unstable; urgency=medium

  * merge 2.93-3 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 06 Jan 2019 08:31:30 +0000

sysvinit (2.93-2+devuan1) unstable; urgency=medium

  * merge 2.93-2 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 28 Dec 2018 15:59:42 +0000

sysvinit (2.92~beta-2+devuan1.1) unstable; urgency=medium

  * merged 2.92-beta2 into unstable 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 24 Nov 2018 18:25:41 +0000

sysvinit (2.88dsf-59.11+devuan1) unstable; urgency=medium

  [ Daniel Reurich ]
  * Merge 2.88dsf-59.11 into suites/unstable
  
 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Thu, 01 Nov 2018 23:53:06 +1300

sysvinit (2.88dsf-59.9+devuan3) unstable; urgency=medium

  * Bump changelog for Devuan Beowulf.

 -- Ivan J. <parazyd@dyne.org>  Sat, 10 Mar 2018 22:15:00 +0100

sysvinit (2.88dsf-59.9+devuan2) unstable; urgency=medium

  * Bump package to reflect Debian Stretch version

 -- Ivan J. <parazyd@dyne.org>  Sat, 02 Dec 2017 09:34:00 +0100

sysvinit (2.88dsf-59.3+devuan2) unstable; urgency=medium

  * fix upstream-tag var

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 04 Mar 2016 01:35:52 +0000

sysvinit (2.88dsf-59.3+devuan1) unstable; urgency=medium

  [ nextime ]
  * Devuanize git-tag script
  * added gpb.conf

  [ Daniel Reurich ]
  * Devuanise package
  * add gbp.conf
  * delete incorrectly named gpb.conf

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 04 Mar 2016 00:55:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,41 @@
 Source: sysvinit
 Section: admin
-Priority: optional
-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
-Uploaders:
- Ian Jackson <ijackson@chiark.greenend.org.uk>,
- Benda Xu <heroxbd@gentoo.org>,
- Adam Borowski <kilobyte@angband.pl>,
- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
+Priority: required
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>,
+	   Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
+	   Daniel Reurich <daniel@centurion.net.nz>
 Build-Depends:
  debhelper-compat (= 12),
  libcrypt-dev,
  libselinux1-dev [linux-any],
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://savannah.nongnu.org/projects/sysvinit
-Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
-Vcs-Browser: https://salsa.debian.org/debian/sysvinit
+Vcs-Git: https://git.devuan.org/devuan/sysvinit.git
+Vcs-Browser: https://git.devuan.org/devuan/sysvinit
+Origin: Devuan
+
+Package: sysvinit
+Priority: optional
+Architecture: any
+Pre-Depends: init
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: System-V-like init utilities - transitional package
+ This package depends on init, which is an essential package that
+ pulls in the default init system. In Devuan, this will remain sysvinit
+ It facilitates a smooth transition from debian.
+ .
+ If your system successfully boots after removing systemd or if you have chosen
+ to stick with debian, this package can be removed safely.
 
 Package: sysvinit-core
 Architecture: any
 Depends:
  initscripts,
  kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
- sysv-rc | file-rc | openrc,
+ sysv-rc | openrc | file-rc,
  sysvinit-utils (>= 2.86.ds1-66),
  mount [linux-any],
  ${misc:Depends},

## sysvinit 3.01

=== debian/changelog ===
sysvinit (3.01-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. (Closes: LP: #1958666) Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Define the DEB_HOST_* variables in d/rules if not defined already

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 14 Dec 2021 21:17:22 +0000

sysvinit (3.01-1) unstable; urgency=medium

  * Update upstream signing key.
  * New upstream version 3.01
  * Remove patch applied upstream.

 -- Mark Hindley <leepen@debian.org>  Tue, 14 Dec 2021 07:54:11 +0000

sysvinit (3.00-2~exp1) experimental; urgency=medium

  * Remove time served support for converting /etc/rc.local to conffile
    (Closes: #987732).
  * Provisional upstream patch to restore pidof reporting D processes
    (Closes: #926896).

 -- Mark Hindley <leepen@debian.org>  Sat, 23 Oct 2021 11:02:07 +0100

sysvinit (2.96-7ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:10 +0200

sysvinit (2.96-7ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 20:19:54 -0700

sysvinit (2.96-6ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
  * Dropped changes, no longer needed:
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 Mar 2021 10:02:02 -0700

sysvinit (2.96-5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Oct 2020 19:04:47 -0700

sysvinit (2.96-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 07:41:28 -0700

sysvinit (2.96-2.1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 10:38:21 -0800

sysvinit (2.96-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 15:59:53 -0700

sysvinit (2.96~beta-3ubuntu2) focal; urgency=medium

  * Fix debian/rules to not try to install bits into a sysvinit-core package
    we aren't building.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Oct 2019 13:21:15 -0700

sysvinit (2.96~beta-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Oct 2019 14:21:33 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: sysvinit
 Section: admin
-Priority: required
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>,
-	   Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
-	   Daniel Reurich <daniel@centurion.net.nz>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
+Uploaders:
+ Ian Jackson <ijackson@chiark.greenend.org.uk>,
+ Benda Xu <heroxbd@gentoo.org>,
+ Adam Borowski <kilobyte@angband.pl>,
+ Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
+ Mark Hindley <leepen@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  libcrypt-dev,
@@ -13,29 +17,15 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://savannah.nongnu.org/projects/sysvinit
-Vcs-Git: https://git.devuan.org/devuan/sysvinit.git
-Vcs-Browser: https://git.devuan.org/devuan/sysvinit
-Origin: Devuan
-
-Package: sysvinit
-Priority: optional
-Architecture: any
-Pre-Depends: init
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: System-V-like init utilities - transitional package
- This package depends on init, which is an essential package that
- pulls in the default init system. In Devuan, this will remain sysvinit
- It facilitates a smooth transition from debian.
- .
- If your system successfully boots after removing systemd or if you have chosen
- to stick with debian, this package can be removed safely.
+Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
+Vcs-Browser: https://salsa.debian.org/debian/sysvinit
 
 Package: sysvinit-core
 Architecture: any
 Depends:
  initscripts,
  kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
- sysv-rc | openrc | file-rc,
+ sysv-rc | file-rc | openrc,
  sysvinit-utils (>= 2.86.ds1-66),
  mount [linux-any],
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,12 @@
 
 LC_ALL	= POSIX
 
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 INSTALL_DATA = install -m 644
 INSTALL      = install -m 755
 
@@ -24,6 +30,10 @@
 endif
 
 DH_OPTIONS =
+
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	DH_OPTIONS = -Nsysvinit-core -Nsysv-rc -Ninitscripts -Nbootlogd
+endif
 
 # Use debhelper's dh
 %:
@@ -41,6 +51,7 @@
 override_dh_install-arch:
 	dh_install
 
+ifneq (,$(findstring sysvinit-core, $(shell dh_listpackages)))
 	# sysvinit package
 	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
 	then \
@@ -56,6 +67,7 @@
 		$(INSTALL_DATA) debian/share/inittab \
 			$(sysvtmp)/usr/share/sysvinit/inittab ; \
 	fi
+endif
 
 	# initscripts package may include /sys
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
@@ -68,6 +80,7 @@
 override_dh_installchangelogs-arch:
 	dh_installchangelogs -psysvinit-core doc/Changelog
 
+ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	dh_installchangelogs -psysvinit-utils
 	rm -f $(utiltmp)$(doc)/sysvinit-utils/changelog
 	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
@@ -76,15 +89,18 @@
 	dh_installchangelogs -pbootlogd
 	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(bootlogdtmp)$(doc)/bootlogd/changelog.Debian
+endif
 
 override_dh_installchangelogs-indep:
 	dh_installchangelogs
+ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(rctmp)$(doc)/sysv-rc/changelog.Debian
 
 	dh_installchangelogs -pinitscripts
 	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
 		$(inittmp)$(doc)/initscripts/changelog.Debian
+endif
 
 override_dh_installdeb:
 	dh_installdeb

=== debian/watch ===
version=3
opts="pgpmode=auto,uversionmangle=s/-beta/~beta/" \
  https://download.savannah.gnu.org/releases/sysvinit/ \
  (?:|.*/)sysvinit(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## sysvinit 3.04

=== debian/changelog ===
sysvinit (3.04-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. (LP: #1987257) Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Define the DEB_HOST_* variables in d/rules if not defined already

 -- Olivier Gayot <olivier.gayot@canonical.com>  Sat, 22 Aug 2022 09:57:41 +0200

sysvinit (3.04-1) unstable; urgency=medium

  * New upstream version 3.04
  * Bracket lintian overrides.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 03 Aug 2022 12:49:34 +0200

sysvinit (3.03-1) unstable; urgency=medium

  * New upstream version 3.03
  * Remove patch applied upstream.
  * mount-functions.sh: add PARTUUID and PARTLABEL support. (Closes: #1008910)
  * mount-functions.sh: Update comment describing read_fstab().

 -- Mark Hindley <leepen@debian.org>  Fri, 15 Apr 2022 18:56:24 +0100

sysvinit (3.02-1) experimental; urgency=medium

  * Change upstream to GitHub.
  * New upstream version 3.02
  * Refresh patches.
  * Delete patch applied upstream.
  * Add patch to fix groff formatting error in init.8.

 -- Mark Hindley <leepen@debian.org>  Tue, 29 Mar 2022 16:00:24 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  libselinux1-dev [linux-any],
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Homepage: https://savannah.nongnu.org/projects/sysvinit
+Standards-Version: 4.6.1
+Homepage: https://github.com/slicer69/sysvinit
 Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
 Vcs-Browser: https://salsa.debian.org/debian/sysvinit
